Issur for pos_orders_all (#2,154)
Status: OPEN
Date: 10/08/2021
ID: 2,154
S/O number: SO2021/1517132
Reviewer: Hiral Bhatt
Module Name: pos_orders_all
Version: 14.0
Tags:

Assigned to
Contact
Jay Pardasani
jay.pardasani@browseinfo.in

Description
Dear all, after installing the modulo on 14 CE, I'm getting this message while invoicing from POS

Odoo Server Error
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/usr/lib/python3/dist-packages/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1389, in call_kw
return self._call_kw(model, method, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1381, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 392, in call_kw
result = _call_kw_model(method, model, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 365, in _call_kw_model
result = method(recs, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/addons/point_of_sale/models/pos_order.py", line 547, in create_from_ui
order_ids.append(self._process_order(order, draft, existing_order))
File "/usr/lib/python3/dist-packages/odoo/addons/pos_orders_all/models/discount_n_coupon.py", line 119, in _process_order
pos_order._create_order_picking()
File "/usr/lib/python3/dist-packages/odoo/addons/point_of_sale/models/pos_order.py", line 562, in _create_order_picking
pickings = self.env['stock.picking']._create_picking_from_pos_order_lines(destination_id, self.lines, picking_type, self.partner_id)
File "/usr/lib/python3/dist-packages/odoo/addons/pos_orders_all/models/stock.py", line 136, in _create_picking_from_pos_order_lines
except (UserError, ValidationError):
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
NameError: name 'UserError' is not defined

Please, let me know if you can support me on this issue .

these are the access:

http://192.241.139.210:8069/

database:

CAPACITACION_02

admin "renee_vera@excelcallsa.com"

Pass "admin"



Console server :

user = root

pass = ecuador5000EC

by the way , to make the errore comes up on pos , please be sure to activate this option :

Message and communication history